/*****************************************************************************
 *   Copyright (C) 2011 Christian "Cebra" Brandtner, brandtner@brandtner.net *
 *                                                                           *
 *   This program is free software; you can redistribute it and/or modify    *
 *   it under the terms of the GNU General Public License as published by    *
 *   the Free Software Foundation; either version 2 of the License.          *
 *                                                                           *
 *   This program is distributed in the hope that it will be useful,         *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *   GNU General Public License for more details.                            *
 *                                                                           *
 *   You should have received a copy of the GNU General Public License       *
 *   along with this program; if not, write to the                           *
 *   Free Software Foundation, Inc.,                                         *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.               *
 *                                                                           *
 *****************************************************************************/


/*
 * HAL_HW1_3.c
 *
 *  Created on: 13.07.2011
 *      Author: cebra
 *
 *Hardwareabhängige Definitionen und Prozeduren
 * Hardware Leiterplatte V1.3 sebseb7
 * USB,LED
 */

#ifndef HAL_HW1_3_C_
#define HAL_HW1_3_C_



#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <util/delay.h>
#include "main.h"

#ifdef HWVERSION1_3

#include "lcd.h"
#include "usart.h"
#include "uart1.h"
#include "display.h"
#include "timer.h"
#include "eeprom.h"
#include "Wi232.h"
#include "twimaster.h"




void InitHWPorts(void)	/* Initialisierung der Hardware für die jeweilige Leiterplattenversion */

{

	// enable pull ups for the 4 keys
	PORTA |= (1<<PORTA4)|(1<<PORTA5)|(1<<PORTA6)|(1<<PORTA7);

	DDRD |= (1<<DDD7)|(1<<DDD6);
	DDRC |= (1<<DDC2)|(1<<DDC3)|(1<<DDC6); /* Leds,Summer*/

	DDRB = 0xFF;
	set_LED1();

    beeptime = 500;
    BeepMuster = 0x0080;

	set_D_LIGHT();
//	clr_WI232CMD();
 _delay_ms(250);

	clr_LED1();


	Display_on = 1;

	LCD_Init ();
	USART_Init (UART_BAUD_SELECT(USART_BAUD,F_CPU));

	uart1_init (UART_BAUD_SELECT(USART_BAUD,F_CPU));      /* USB*/
	uart1_putc('R');
	I2C_Init(1);

	Timer0_Init ();
	TIMER1_Init (); // pwm

	sei ();

	ReadParameter ();
	LCD_Init ();
//	InitWi232();

}

void set_D_LIGHT(void)	/* Displaybeleuchtung ein*/
	{
	 PORTD &= ~(1<<PORTD6);
	 PORTC &= ~(1<<PORTC2);
	 PORTD &= ~(1<<PORTD7);

	}

void clr_D_LIGHT(void)	/* Displaybeleuchtung aus*/
	{
	 PORTD |= (1<<PORTD6);
	 PORTD |= (1<<PORTD7);
	 PORTC |= (1<<PORTC2);
	}



#endif
#endif /* HAL_HW1_3_C_ */
